> ## Documentation Index
> Fetch the complete documentation index at: https://docs.identifai.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pricings

> Fetch the list of available pricing plans.



## OpenAPI

````yaml get /api/partner/pricings
openapi: 3.0.0
info:
  title: identifAI API
  version: 1.0.0
  description: >-
    API for integrating identifAI's image and video classification
    capabilities.<br><details><summary>**How to obtain your API
    Key**</summary>To obtain your API key, follow these simple steps:  
    <ol><li><p>**Create a user profile and log in to the platform**</p>If you
    don't have an account yet, visit our platform and create a user profile.
    Once you've completed registration and verified your email, log in with your
    credentials.</li><li><p>**Access the user menu**</p>After logging in, click
    on your name or the user icon in the top-right corner of the
    screen.</li><li><p>**Select the API Key option**</p>In the dropdown menu
    that appears, select the "API Key" option. From there, you can view or
    generate your API key.</li></ol>Now you are ready to use your API key in our
    API!</details><details><summary>**How to use the API**</summary>To use the
    API, first make a **POST** request to start the classification. Then, use
    the provided ***identifier*** from the **POST** request to retrieve the
    results.

    <details>

    <summary>**1. Image Classification**</summary>
      * To classify an image, you need to make a **POST** request to `/api/classification` with the required parameters (for details on the parameters, refer to the *"Classification"* section below).
      * In the response, you will receive the ***identifier*** of the classified image.
      * Use the provided ***identifier*** to retrieve the classification results by making a **GET** request to `/api/classification/{identifier}` (for details on how to structure this request, see the *"Classification"* section below).
      * The response will contain the classification results for the image in JSON format.<br>In the response, you will find a ***results*** array, which includes the classification results for each model used, and a ***verdicts*** array, which contains the results for each heuristic applied.<br>If the classification is not yet complete, continue sending the **GET** request until the result is available.</details><details><summary>**2. Video Classification**</summary>
        * To classify a video, you need to make a **POST** request to `/api/classification_video` with the required parameters (for details on the parameters, refer to the *"Classification"* section below).
        * In the response, you will receive the ***identifier*** of the classified video.
        * Use the provided ***identifier*** to retrieve the classification results by making a **GET** request to `/api/classification_video/{identifier}` (for details on how to structure this request, see the *"Classification"* section below).
        * The response will provide the classification results for the video in JSON format. For video classification, the video is divided into *frames*.<br> In the response, you will find a ***results*** array that includes the classification outcomes for each model applied to each analyzed frame, and a ***verdicts*** array containing the results for each heuristic used.<br> If the classification is not complete, continue sending the **GET** request until the final results are returned.</details><details><summary>**3. All Classifications**</summary>The `/api/classifications` endpoint will return all the image classifications made by a user. This will list the results of all past image classification requests.</details><details><summary>**4. User Management**</summary>  The **POST** `/api/user` endpoint allows you to create a user, while the **DELETE** `/api/user` endpoint is used to delete a user (For the structure of the requests, see more in the user section below).</details></details>
servers:
  - url: https://backend.identifai.net
security: []
tags:
  - name: Classification
    description: Classification routes
  - name: User
    description: User actions
  - name: Partner
    description: Partner actions
paths:
  /api/partner/pricings:
    get:
      tags:
        - Partner
      summary: Get pricings
      description: Fetch the list of available pricing plans.
      parameters:
        - name: order
          in: query
          schema:
            type: string
            default: created_at
          description: Specify the field to sort results by.
        - name: direction
          in: query
          schema:
            type: string
            enum:
              - desc
              - asc
            default: desc
          description: 'Sorting direction: `asc` for ascending, `desc` for descending.'
        - name: per_page
          in: query
          schema:
            type: integer
          description: Number of results per page. If omitted, all results are returned.
      responses:
        '200':
          description: >-
            Successful response containing a paginated list of available pricing
            plans.
          content:
            application/json:
              example:
                current_page: 1
                data:
                  - id: 2
                    name: TestAC
                    sku: testAC
                  - id: 1
                    name: TestB
                    sku: testB
                from: 1
                last_page: 1
                next_page_url: null
                per_page: 10
                to: 2
                total: 2
              schema:
                $ref: '#/components/schemas/PricingList'
        '401':
          description: Invalid or missing API key
        '429':
          description: Too many requests.
          content:
            application/json:
              example:
                message: Too Many Attempts.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PricingList:
      type: object
      properties:
        current_page:
          type: integer
          description: Current page number
        data:
          type: array
          items:
            $ref: '#/components/schemas/Pricing'
          description: Available pricing plans.
        from:
          type: integer
          description: First pricing index on the current page
        last_page:
          type: integer
          description: Total number of pages
        next_page_url:
          type: string
          format: uri
          description: URL of the next page (if available)
        per_page:
          type: integer
          description: Number of pricings per page
        to:
          type: integer
          description: Last pricing index on the current page
        total:
          type: integer
          description: Total number of pricings
    Pricing:
      type: object
      properties:
        id:
          type: integer
          description: The id of the pricing plan.
        name:
          type: string
          description: Name of the pricing plan.
        sku:
          type: string
          description: SKU code associated with the pricing plan.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-Api-Key
      in: header
      description: Your API key.

````